searchNodes=[{"doc":"Main API for the UrbitEx Package. Includes functions to initiate your Urbit session, subscribe to main event sources and set up logic to handle events.","ref":"UrbitEx.html","title":"UrbitEx","type":"module"},{"doc":"Sets process as consumer of the Urbit Ship's Eventstream. Every Urbit event will be sent from the Urbit GenServer to the process pid passed.","ref":"UrbitEx.html#consume_feed/1","title":"UrbitEx.consume_feed/1","type":"function"},{"doc":"","ref":"UrbitEx.html#dod/0","title":"UrbitEx.dod/0","type":"function"},{"doc":"Fetches pid of the GenServer keeping the session state.","ref":"UrbitEx.html#get_pid/0","title":"UrbitEx.get_pid/0","type":"function"},{"doc":"Fetches the current session state from the GenServer.","ref":"UrbitEx.html#get_state/0","title":"UrbitEx.get_state/0","type":"function"},{"doc":"Starts a recursive loop that reacts to events received from your Urbit ship. Takes a single argument, a function that will process received messages. ## Examples ``` function = fn %{&quot;json&quot; =&gt; json} -&gt; IO.inspect(json) _message -&gt; IO.inspect(:other_app) end UrbitEx.recv(function)","ref":"UrbitEx.html#recv/1","title":"UrbitEx.recv/1","type":"function"},{"doc":"Starts the Urbit instance without a process link. Takes the url where your ship is running, the +code, and an optional name for the server (handy if you're running multiple ones).","ref":"UrbitEx.html#start/3","title":"UrbitEx.start/3","type":"function"},{"doc":"Starts the Urbit instance. Takes the url where your ship is running, the +code, and an optional name for the server (handy if you're running multiple ones).Examplesiex&gt; {:ok, pid} = UrbitEx.start(&quot;http://localhost:8080&quot;, &quot;sampel-dozzod-mirtyl-marzod&quot;)","ref":"UrbitEx.html#start_link/3","title":"UrbitEx.start_link/3","type":"function"},{"doc":"Subscribes to event streams. Takes a list of subscriptions. If it's a single subscription you want just wrap it in a list. Individual subscriptions are maps: %{app: app, path: path}","ref":"UrbitEx.html#subscribe/1","title":"UrbitEx.subscribe/1","type":"function"},{"doc":"Function provided for testing purposes. It will subscribe to the same event streams as the Landscape client does. Set your url and code as module attributes and iterate your handling logic fast. Returns the pid of the GenServer started. Check the state with get_state() and you can browse all events received, etc.","ref":"UrbitEx.html#test/0","title":"UrbitEx.test/0","type":"function"},{"doc":"","ref":"UrbitEx.html#test_subs/0","title":"UrbitEx.test_subs/0","type":"function"},{"doc":"Module with the base functions to start the Urbit Session. Other complex functionality found in other files in this folder.","ref":"UrbitEx.API.html","title":"UrbitEx.API","type":"module"},{"doc":"Returns an UrbitEx.Session struct, the basic data structure of Urbit session state kept by the UrbitEx.Server Genserver. Create a channel string according to Landscape convention.","ref":"UrbitEx.API.html#init/2","title":"UrbitEx.API.init/2","type":"function"},{"doc":"Logs in to Urbit. Takes an UrbitEx.Session struct, which includes the server url and +code string. Returns an UrbitEx.Session struct with the cookie and ship name added to it or raises an error if the code is wrong.","ref":"UrbitEx.API.html#login/1","title":"UrbitEx.API.login/1","type":"function"},{"doc":"Logs out of your Urbit session and kills the GenServer keeping the state. Takes an UrbitEx.Session struct.","ref":"UrbitEx.API.html#logout/1","title":"UrbitEx.API.logout/1","type":"function"},{"doc":"Opens the Eyre channel with an empty Airlock request. Takes an UrbitEx.Session struct. called by UrbitEx.Server on start.","ref":"UrbitEx.API.html#open_channel/1","title":"UrbitEx.API.open_channel/1","type":"function"},{"doc":"Starts Server-side Event Evenstream, called by UrbitEx.Server on start. Takes an UrbitEx.Session struct. Pass a receive loop to the process receiving Event messages to handle them in your program.","ref":"UrbitEx.API.html#start_sse/1","title":"UrbitEx.API.start_sse/1","type":"function"},{"doc":"Subscribes to Gall apps pushing events to your ship. Events will be sent to the SSE feed.","ref":"UrbitEx.API.html#subscribe/2","title":"UrbitEx.API.subscribe/2","type":"function"},{"doc":"Adds necessary metadata to PUT requests sent to Airlock. Keeps track of requests to increment request id and acks server-side events received, following Landscape practice. Takes an UrbitEx.Session struct and a list of request bodies for the PUT request.","ref":"UrbitEx.API.html#wrap_put/2","title":"UrbitEx.API.wrap_put/2","type":"function"},{"doc":"Client API to interact with graphs on Urbit. Create channels, delete them, send messages, add posts, etc. All interaction with present Graph Store based applications is here.","ref":"UrbitEx.API.Graph.html","title":"UrbitEx.API.Graph","type":"module"},{"doc":"Adds a link to a Collection channel. Takes an UrbitEx.Session struct, an UrbitEx.Resource struct, a text string and a url string. Triggers one graph-update event (the link itself). Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#add_collection_link/4","title":"UrbitEx.API.Graph.add_collection_link/4","type":"function"},{"doc":"Adds a comment to a Notebook post or a Collection link. Takes an UrbitEx.Session struct, an UrbitEx.Resource struct, an index string, a text string and an optional custom token list. See docs on add_post function above for notes on how custom token lists can be useful. Triggers one graph-update event (the comment itself). Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#add_comment/5","title":"UrbitEx.API.Graph.add_comment/5","type":"function"},{"doc":"Adds a post to a Notebook channel. Takes an UrbitEx.Session struct, an UrbitEx.Resource struct, a title string, a text string, and an optional custom list of token maps. Graph Store posts tokens can be text, mention, url, code or reference. In elixir a valid content list would look like [%{text: title}, %{url: &quot;https://urbitasia.com&quot;}, %{mention: &quot;~mirtyl-wacdec&quot;}] If no custom tokens are given, the function uses the default tokenizer used by Landscape. Landscape's notebook post tokenizer renders the first text map as the title, the second as the post body. A custom tokenizer can be used to format text for custom clients without need for a custom backend. Triggers one graph-update event (the post itself). Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#add_post/5","title":"UrbitEx.API.Graph.add_post/5","type":"function"},{"doc":"Creates a channel in a group. Takes an UrbitEx.Session struct and an UrbitEx.Resource struct (for the group), a title string, a name string (lower ascii, no spaces), a description string, and a channel type atom (strings work too, it's all json anyway). As in group names, Landscape enforces title and name being similar, no real need for that. Types can be :chat for Chats, :publish for Notebooks or :link for Collections. Successful creation triggers one metadata-updateevent and one graph-update event. Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#create_group_channel/6","title":"UrbitEx.API.Graph.create_group_channel/6","type":"function"},{"doc":"Creates a private channel. Takes an UrbitEx.Session struct and an UrbitEx.Resource struct (for the group), a title string, a name string (lower ascii, no spaces), a description string, a channel type atom (strings work too, it's all json anyway), and a list of invitees. As in group names, Landscape enforces title and name being similar, no real need for that. Types can be :chat for Chats, :publish for Notebooks or :link for Collections. Setting invitees at resource creation works unlike with groups. Note that private &quot;chat&quot; channels are in effect DMs and will show up as DMs in Landscape, although they will strangely if you don't follow Landscape naming (see below). Successful creation triggers one metadata-updateevent and one graph-update event. Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#create_private_channel/6","title":"UrbitEx.API.Graph.create_private_channel/6","type":"function"},{"doc":"Deletes a channel. Takes an UrbitEx.Session struct and an UrbitEx.Resource struct. Triggers one metadata-updateevent and one graph-update event. Unless it's a private channel then the metadata-update event is replaced by a group-update one (??). Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#delete_channel/2","title":"UrbitEx.API.Graph.delete_channel/2","type":"function"},{"doc":"Deletes a node in any channel. Takes an UrbitEx.Session struct, an UrbitEx.Resource struct and list of index strings. Index strings must have a preceding slash, i.e. &quot;/170141184505071972989094238161226170368&quot; Revisable nodes (notebook posts and comments) must delete the revision container and the first child. Triggers one graph-update event. Eyre returns a 204 response.","ref":"UrbitEx.API.Graph.html#delete_node/3","title":"UrbitEx.API.Graph.delete_node/3","type":"function"},{"doc":"Disables the group feed in a group. Takes an UrbitEx.Session struct and an UrbitEx.Resource struct. Triggers one metadata-update and one graph-update event. Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#disable_group_feed/2","title":"UrbitEx.API.Graph.disable_group_feed/2","type":"function"},{"doc":"Edits a comment in a Notebook or Link channel. Takes an UrbitEx.Session struct, an UrbitEx.Resource struct, an UrbitEx.Node struct of the comment (the one you want to edit), a title string, a text string, and an optional custom list of token maps (see above). Triggers one graph-update event (the post itself). Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#edit_comment/5","title":"UrbitEx.API.Graph.edit_comment/5","type":"function"},{"doc":"Edits a post in a Notebook channel. Takes an UrbitEx.Session struct, an UrbitEx.Resource struct, an UrbitEx.Node struct of the post you want to edit (the larger node, not the posts revision container node), a title string, a text string, and an optional custom list of token maps (see above). Triggers one graph-update event (the post itself). Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#edit_post/6","title":"UrbitEx.API.Graph.edit_post/6","type":"function"},{"doc":"Enables the group feed in a group. Takes an UrbitEx.Session struct an UrbitEx.Resource struct, and the permission setting. Can be &quot;host-feed&quot;, &quot;admin-feed&quot;, or &quot;&quot; (empty) to allow everyone to post on the feed. Triggers one metadata-update and one graph-update event. Validator for group feeds is graph-validator-post, cf: graph-validator-chat or graph-validator-publish. Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#enable_group_feed/3","title":"UrbitEx.API.Graph.enable_group_feed/3","type":"function"},{"doc":"Fetches a single node from a channel. Takes an UrbitEx.Session struct, an UrbitEx.Resource struct and a node index. GET requests trigger no SSE events. Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#fetch_index/3","title":"UrbitEx.API.Graph.fetch_index/3","type":"function"},{"doc":"Fetches the all channels which the ship is a member of. Takes an UrbitEx.Session struct. GET requests trigger no SSE events. Eyre returns a 200 response. Function returns a list of UrbitEx.Resource structs. You can convert the graph to a list with UrbitEx.Graph.to_list/1","ref":"UrbitEx.API.Graph.html#fetch_keys/1","title":"UrbitEx.API.Graph.fetch_keys/1","type":"function"},{"doc":"Fetches latest nodes from a channel. Takes an UrbitEx.Session struct, an UrbitEx.Resource struct, and a message count integer. Count limits appears to be 999. You can pass it an index string optionally (passed index can have a &quot;/&quot; or not, doesn't matter). This is the endpoint Landscape uses to render the chat. But it works fine with Notebooks or Collections too. GET requests trigger no SSE events. Eyre returns a 200 response. Function returns a graph (not a list!) of UrbitEx.Node structs, according to count requested. You can convert the graph to a list with UrbitEx.Graph.to_list/1","ref":"UrbitEx.API.Graph.html#fetch_newest/3","title":"UrbitEx.API.Graph.fetch_newest/3","type":"function"},{"doc":"Fetches nodes from a channel which are older than a given index. Takes an UrbitEx.Session struct, an UrbitEx.Resource struct, an index string (passed index can have a &quot;/&quot; or not, doesn't matter) and a message count integer. GET requests trigger no SSE events. Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#fetch_older_than/4","title":"UrbitEx.API.Graph.fetch_older_than/4","type":"function"},{"doc":"Fetches oldest nodes from a channel. Takes an UrbitEx.Session struct, an UrbitEx.Resource struct, and a message count integer. GET requests trigger no SSE events. Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#fetch_oldest/3","title":"UrbitEx.API.Graph.fetch_oldest/3","type":"function"},{"doc":"Fetches nodes from a channel which are older than a given index. Takes an UrbitEx.Session struct, an UrbitEx.Resource struct, and two index strings, start and finish. GET requests trigger no SSE events. Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#fetch_subset/4","title":"UrbitEx.API.Graph.fetch_subset/4","type":"function"},{"doc":"Fetches tag queries. Takes an UrbitEx.Session struct. GET requests trigger no SSE events. Eyre returns a 200 response. Not sure what this is about.","ref":"UrbitEx.API.Graph.html#fetch_tag_queries/1","title":"UrbitEx.API.Graph.fetch_tag_queries/1","type":"function"},{"doc":"Fetches tags. Takes an UrbitEx.Session struct. GET requests trigger no SSE events. Eyre returns a 200 response. Not sure what this is about.","ref":"UrbitEx.API.Graph.html#fetch_tags/1","title":"UrbitEx.API.Graph.fetch_tags/1","type":"function"},{"doc":"Fetches the whole node graph from a channel. Takes an UrbitEx.Session struct and an UrbitEx.Resource struct. This is the endpoint Landscape uses to render Notebooks and Collections. You can run it on a Chat but it'll timeout with big ones (over 999 nodes?). GET requests trigger no SSE events. Eyre returns a 200 response. Function returns a graph (not a list!) of UrbitEx.Node structs, according to count requested. You can convert the graph to a list with UrbitEx.Graph.to_list/1","ref":"UrbitEx.API.Graph.html#fetch_whole_graph/2","title":"UrbitEx.API.Graph.fetch_whole_graph/2","type":"function"},{"doc":"Fetches nodes from a channel which are younger than a given index. Takes an UrbitEx.Session struct, an UrbitEx.Resource struct, an index string (passed index can have a &quot;/&quot; or not, doesn't matter) and a message count integer. GET requests trigger no SSE events. Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#fetch_younger_than/4","title":"UrbitEx.API.Graph.fetch_younger_than/4","type":"function"},{"doc":"","ref":"UrbitEx.API.Graph.html#increment_index/1","title":"UrbitEx.API.Graph.increment_index/1","type":"function"},{"doc":"Joins a channel. Takes an UrbitEx.Session struct and an UrbitEx.Resource struct. Triggers two graph-update event, one with a list of keys and for add-graph. Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#join_channel/2","title":"UrbitEx.API.Graph.join_channel/2","type":"function"},{"doc":"Leaves a channel. Takes an UrbitEx.Session struct and an UrbitEx.Resource struct. Triggers one graph-update event. Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#leave_channel/2","title":"UrbitEx.API.Graph.leave_channel/2","type":"function"},{"doc":"Send message to a chat channel. Takes an UrbitEx.Session struct, an UrbitEx.Resource struct, a message string, and an optional custom list of token maps. Graph Store posts tokens can be text, mention, url, code or reference. In elixir a valid content list would look like [%{text: title}, %{url: &quot;https://urbitasia.com&quot;}, %{mention: &quot;~mirtyl-wacdec&quot;}] If no custom tokens are given, the function uses the default tokenizer used by Landscape. A custom tokenizer can be used to format text for custom clients without need for a custom backend. Triggers one graph-update event (the message itself). Eyre returns a 200 response.","ref":"UrbitEx.API.Graph.html#send_message/4","title":"UrbitEx.API.Graph.send_message/4","type":"function"},{"doc":"Starts a Direct Message with a ship. Takes an UrbitEx.Session struct and an Urbit ID to invite. Just syntactic sugar over create_private_channel above. Follows Landscape naming convention.","ref":"UrbitEx.API.Graph.html#start_dm/2","title":"UrbitEx.API.Graph.start_dm/2","type":"function"},{"doc":"Client API to interact with groups on Urbit .","ref":"UrbitEx.API.Groups.html","title":"UrbitEx.API.Groups","type":"module"},{"doc":"Ban ranks from a group. Takes an UrbitEx.Session struct and an UrbitEx.Resource struct, and a list of ranks to ban. Triggers one groupUpdate event. Eyre will return a 204 even if done on a private group (where bans are nonsensical).","ref":"UrbitEx.API.Groups.html#ban_ranks_from_group/3","title":"UrbitEx.API.Groups.ban_ranks_from_group/3","type":"function"},{"doc":"Ban ships from a group. Takes an UrbitEx.Session struct and an UrbitEx.Resource struct, and a list of ships to ban. Triggers one groupUpdate event. Eyre will return a 204 even if done on a private group (where bans are nonsensical).","ref":"UrbitEx.API.Groups.html#ban_ships_from_group/3","title":"UrbitEx.API.Groups.ban_ships_from_group/3","type":"function"},{"doc":"Creates an Urbit group. Takes an UrbitEx.Session struct, a name string, a description string, a type string (either &quot;open&quot; or &quot;invite&quot;, i.e open or private), an optional list of options. Options are banned ranks (&quot;czar&quot;, &quot;duke&quot;, &quot;earl&quot;, &quot;king&quot;, and/or &quot;pawn&quot;), banned ships, or invitees, for &quot;invite&quot; groups. TODO: options don't appear to work on group creation Landscape forces the name to be equal to the title (but ascii lower case, no spaces) but it can be different. If successful it triggers 1 metadata-update and 2 groupUpdate events. Eyre returns a 200 response.","ref":"UrbitEx.API.Groups.html#create_group/6","title":"UrbitEx.API.Groups.create_group/6","type":"function"},{"doc":"Deletes group. Takes an UrbitEx.Session struct and an UrbitEx.Resource struct. Triggers one groupUpdate event and one metadata-update event. Eyre returns a 200 response.","ref":"UrbitEx.API.Groups.html#delete_group/2","title":"UrbitEx.API.Groups.delete_group/2","type":"function"},{"doc":"Invite ship to an Urbit Group. Takes an UrbitEx.Session struct and an UrbitEx.Resource struct, a list of invitees and an invite message. Triggers two group-update events. Invitees will get an invite-update event.","ref":"UrbitEx.API.Groups.html#invite/4","title":"UrbitEx.API.Groups.invite/4","type":"function"},{"doc":"Joins a public urbit group. Takes an UrbitEx.Session struct and an UrbitEx.Resource struct. Joining a group, if successful, triggers 4 group-view-update, 1 groupUpdate and 1 metadata-update SSE events. Eyre returns a 204 response.","ref":"UrbitEx.API.Groups.html#join_group/2","title":"UrbitEx.API.Groups.join_group/2","type":"function"},{"doc":"Kick ships from a group. Takes an UrbitEx.Session struct and an UrbitEx.Resource struct, and a list of ships to kick out. Triggers one groupUpdate event. Eyre returns a 204 even for bad grammar.","ref":"UrbitEx.API.Groups.html#kick_from_group/3","title":"UrbitEx.API.Groups.kick_from_group/3","type":"function"},{"doc":"Leaves an Urbit group. Takes an UrbitEx.Session struct and an UrbitEx.Resoure struct. Leaving a group triggers 4 metadata-update events and one groupUpdate SSE event. Eyre returns a 200 response.","ref":"UrbitEx.API.Groups.html#leave_group/2","title":"UrbitEx.API.Groups.leave_group/2","type":"function"},{"doc":"Make a group private. Takes an UrbitEx.Session struct and an UrbitEx.Resource struct. Triggers one groupUpdate event. Eyre returns a 204 response.","ref":"UrbitEx.API.Groups.html#make_group_private/2","title":"UrbitEx.API.Groups.make_group_private/2","type":"function"},{"doc":"Make a group private. Takes an UrbitEx.Session struct and an UrbitEx.Resource struct. Triggers one groupUpdate event. Eyre returns a 204 response.","ref":"UrbitEx.API.Groups.html#make_group_public/2","title":"UrbitEx.API.Groups.make_group_public/2","type":"function"},{"doc":"","ref":"UrbitEx.API.Profile.html","title":"UrbitEx.API.Profile","type":"module"},{"doc":"","ref":"UrbitEx.API.Profile.html#add_pinned_group/2","title":"UrbitEx.API.Profile.add_pinned_group/2","type":"function"},{"doc":"","ref":"UrbitEx.API.Profile.html#make_profile_public/2","title":"UrbitEx.API.Profile.make_profile_public/2","type":"function"},{"doc":"","ref":"UrbitEx.API.Profile.html#set_status/2","title":"UrbitEx.API.Profile.set_status/2","type":"function"},{"doc":"","ref":"UrbitEx.API.Profile.html#update_avatar/2","title":"UrbitEx.API.Profile.update_avatar/2","type":"function"},{"doc":"","ref":"UrbitEx.API.Profile.html#update_bio/2","title":"UrbitEx.API.Profile.update_bio/2","type":"function"},{"doc":"","ref":"UrbitEx.API.Profile.html#update_cover/2","title":"UrbitEx.API.Profile.update_cover/2","type":"function"},{"doc":"","ref":"UrbitEx.API.Profile.html#update_nickname/2","title":"UrbitEx.API.Profile.update_nickname/2","type":"function"},{"doc":"","ref":"UrbitEx.API.Profile.html#update_sigil_color/2","title":"UrbitEx.API.Profile.update_sigil_color/2","type":"function"},{"doc":"Module with functions to build json bodies to send to Airlock. One function per Eyre action: ack, subscribe, unsubscribe and poke.","ref":"UrbitEx.Actions.html","title":"UrbitEx.Actions","type":"module"},{"doc":"","ref":"UrbitEx.Actions.html#ack/1","title":"UrbitEx.Actions.ack/1","type":"function"},{"doc":"","ref":"UrbitEx.Actions.html#poke/4","title":"UrbitEx.Actions.poke/4","type":"function"},{"doc":"","ref":"UrbitEx.Actions.html#subscribe/3","title":"UrbitEx.Actions.subscribe/3","type":"function"},{"doc":"","ref":"UrbitEx.Actions.html#unsubscribe/1","title":"UrbitEx.Actions.unsubscribe/1","type":"function"},{"doc":"Module with functions to interact with Eyre. All HTTP requests sent to Urbit are in this module.","ref":"UrbitEx.Airlock.html","title":"UrbitEx.Airlock","type":"module"},{"doc":"","ref":"UrbitEx.Airlock.html#get/2","title":"UrbitEx.Airlock.get/2","type":"function"},{"doc":"","ref":"UrbitEx.Airlock.html#post/2","title":"UrbitEx.Airlock.post/2","type":"function"},{"doc":"","ref":"UrbitEx.Airlock.html#post/3","title":"UrbitEx.Airlock.post/3","type":"function"},{"doc":"","ref":"UrbitEx.Airlock.html#put/4","title":"UrbitEx.Airlock.put/4","type":"function"},{"doc":"","ref":"UrbitEx.Airlock.html#sse/4","title":"UrbitEx.Airlock.sse/4","type":"function"},{"doc":"","ref":"UrbitEx.ContactStore.html","title":"UrbitEx.ContactStore","type":"module"},{"doc":"","ref":"UrbitEx.ContactStore.html#edit_field/3","title":"UrbitEx.ContactStore.edit_field/3","type":"function"},{"doc":"","ref":"UrbitEx.Graph.html","title":"UrbitEx.Graph","type":"module"},{"doc":"","ref":"UrbitEx.Graph.html#new/1","title":"UrbitEx.Graph.new/1","type":"function"},{"doc":"","ref":"UrbitEx.Graph.html#to_list/1","title":"UrbitEx.Graph.to_list/1","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html","title":"UrbitEx.GraphStore","type":"module"},{"doc":"","ref":"UrbitEx.GraphStore.html#accept_invite/0","title":"UrbitEx.GraphStore.accept_invite/0","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#add_collection_link/4","title":"UrbitEx.GraphStore.add_collection_link/4","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#add_comment/5","title":"UrbitEx.GraphStore.add_comment/5","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#add_notebook_post/5","title":"UrbitEx.GraphStore.add_notebook_post/5","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#ban_from_group/3","title":"UrbitEx.GraphStore.ban_from_group/3","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#change_group_policy/2","title":"UrbitEx.GraphStore.change_group_policy/2","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#create_channel/8","title":"UrbitEx.GraphStore.create_channel/8","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#create_group/5","title":"UrbitEx.GraphStore.create_group/5","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#delete_channel/1","title":"UrbitEx.GraphStore.delete_channel/1","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#delete_group/1","title":"UrbitEx.GraphStore.delete_group/1","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#disable_group_feed/1","title":"UrbitEx.GraphStore.disable_group_feed/1","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#edit_comment/5","title":"UrbitEx.GraphStore.edit_comment/5","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#edit_post/6","title":"UrbitEx.GraphStore.edit_post/6","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#enable_group_feed/2","title":"UrbitEx.GraphStore.enable_group_feed/2","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#invite_to_group/3","title":"UrbitEx.GraphStore.invite_to_group/3","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#join_resource/1","title":"UrbitEx.GraphStore.join_resource/1","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#kick_from_group/2","title":"UrbitEx.GraphStore.kick_from_group/2","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#leave_channel/1","title":"UrbitEx.GraphStore.leave_channel/1","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#leave_group/1","title":"UrbitEx.GraphStore.leave_group/1","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#remove_node/2","title":"UrbitEx.GraphStore.remove_node/2","type":"function"},{"doc":"","ref":"UrbitEx.GraphStore.html#send_message/4","title":"UrbitEx.GraphStore.send_message/4","type":"function"},{"doc":"","ref":"UrbitEx.GroupGraph.html","title":"UrbitEx.GroupGraph","type":"module"},{"doc":"","ref":"UrbitEx.GroupGraph.html#new/2","title":"UrbitEx.GroupGraph.new/2","type":"function"},{"doc":"","ref":"UrbitEx.GroupGraph.html#to_list/1","title":"UrbitEx.GroupGraph.to_list/1","type":"function"},{"doc":"","ref":"UrbitEx.Groups.html","title":"UrbitEx.Groups","type":"module"},{"doc":"","ref":"UrbitEx.Groups.html#fetch_preview/2","title":"UrbitEx.Groups.fetch_preview/2","type":"function"},{"doc":"Module containing functions to handle SSE events sent from the Urbit ship.","ref":"UrbitEx.Handler.html","title":"UrbitEx.Handler","type":"module"},{"doc":"","ref":"UrbitEx.Handler.html#complete_metadata/1","title":"UrbitEx.Handler.complete_metadata/1","type":"function"},{"doc":"","ref":"UrbitEx.Handler.html#early_metadata/2","title":"UrbitEx.Handler.early_metadata/2","type":"function"},{"doc":"","ref":"UrbitEx.Handler.html#general/1","title":"UrbitEx.Handler.general/1","type":"function"},{"doc":"","ref":"UrbitEx.Handler.html#group_create/1","title":"UrbitEx.Handler.group_create/1","type":"function"},{"doc":"","ref":"UrbitEx.Handler.html#group_delete/1","title":"UrbitEx.Handler.group_delete/1","type":"function"},{"doc":"","ref":"UrbitEx.Handler.html#group_leave/1","title":"UrbitEx.Handler.group_leave/1","type":"function"},{"doc":"","ref":"UrbitEx.Handler.html#groupjoin/1","title":"UrbitEx.Handler.groupjoin/1","type":"function"},{"doc":"","ref":"UrbitEx.Handler.html#groupjoin_progress/2","title":"UrbitEx.Handler.groupjoin_progress/2","type":"function"},{"doc":"","ref":"UrbitEx.Handler.html#groupjoin_started/1","title":"UrbitEx.Handler.groupjoin_started/1","type":"function"},{"doc":"","ref":"UrbitEx.Handler.html#handle_invite/1","title":"UrbitEx.Handler.handle_invite/1","type":"function"},{"doc":"","ref":"UrbitEx.Herb.html","title":"UrbitEx.Herb","type":"module"},{"doc":"","ref":"UrbitEx.Herb.html#herb/2","title":"UrbitEx.Herb.herb/2","type":"function"},{"doc":"","ref":"UrbitEx.Invite.html","title":"UrbitEx.Invite","type":"module"},{"doc":"","ref":"UrbitEx.Invite.html#new/2","title":"UrbitEx.Invite.new/2","type":"function"},{"doc":"","ref":"UrbitEx.Invite.html#to_list/1","title":"UrbitEx.Invite.to_list/1","type":"function"},{"doc":"","ref":"UrbitEx.Message.html","title":"UrbitEx.Message","type":"module"},{"doc":"","ref":"UrbitEx.Node.html","title":"UrbitEx.Node","type":"module"},{"doc":"","ref":"UrbitEx.Node.html#new/1","title":"UrbitEx.Node.new/1","type":"function"},{"doc":"","ref":"UrbitEx.Post.html","title":"UrbitEx.Post","type":"module"},{"doc":"","ref":"UrbitEx.Post.html#new/1","title":"UrbitEx.Post.new/1","type":"function"},{"doc":"","ref":"UrbitEx.Reference.html","title":"UrbitEx.Reference","type":"module"},{"doc":"","ref":"UrbitEx.Resource.html","title":"UrbitEx.Resource","type":"module"},{"doc":"","ref":"UrbitEx.Resource.html#new/2","title":"UrbitEx.Resource.new/2","type":"function"},{"doc":"","ref":"UrbitEx.Resource.html#validate_ship/1","title":"UrbitEx.Resource.validate_ship/1","type":"function"},{"doc":"","ref":"UrbitEx.SSEMsg.html","title":"UrbitEx.SSEMsg","type":"module"},{"doc":"Main GenServer, called by the UrbitEx module. Starts a GenServer which keeps an Urbit login session as its state, keeping track of the Eyre channel, the actions sent and events received.","ref":"UrbitEx.Server.html","title":"UrbitEx.Server","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"UrbitEx.Server.html#child_spec/1","title":"UrbitEx.Server.child_spec/1","type":"function"},{"doc":"","ref":"UrbitEx.Server.html#die/1","title":"UrbitEx.Server.die/1","type":"function"},{"doc":"","ref":"UrbitEx.Server.html#start/2","title":"UrbitEx.Server.start/2","type":"function"},{"doc":"","ref":"UrbitEx.Server.html#start_link/2","title":"UrbitEx.Server.start_link/2","type":"function"},{"doc":"","ref":"UrbitEx.Session.html","title":"UrbitEx.Session","type":"module"},{"doc":"Utils module with some useful functions, such as a tokenizer for graph store, regex for urls and @ps, etc.","ref":"UrbitEx.Utils.html","title":"UrbitEx.Utils","type":"module"},{"doc":"","ref":"UrbitEx.Utils.html#abbreviate_patp/1","title":"UrbitEx.Utils.abbreviate_patp/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#add_tilde/1","title":"UrbitEx.Utils.add_tilde/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#calculate_index/1","title":"UrbitEx.Utils.calculate_index/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#channel_name/1","title":"UrbitEx.Utils.channel_name/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#check_bisyllable/1","title":"UrbitEx.Utils.check_bisyllable/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#check_long/1","title":"UrbitEx.Utils.check_long/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#check_patp/1","title":"UrbitEx.Utils.check_patp/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#extract_text/1","title":"UrbitEx.Utils.extract_text/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#extract_token/2","title":"UrbitEx.Utils.extract_token/2","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#group_name/1","title":"UrbitEx.Utils.group_name/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#no_comets/1","title":"UrbitEx.Utils.no_comets/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#random_hex/1","title":"UrbitEx.Utils.random_hex/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#remove_tilde/1","title":"UrbitEx.Utils.remove_tilde/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#syllabize/1","title":"UrbitEx.Utils.syllabize/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#syllable_list/0","title":"UrbitEx.Utils.syllable_list/0","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#tokenize/1","title":"UrbitEx.Utils.tokenize/1","type":"function"},{"doc":"","ref":"UrbitEx.Utils.html#tokenize_item/2","title":"UrbitEx.Utils.tokenize_item/2","type":"function"}]